import 'package:fis_jsonrpc/rpc.dart';
import 'package:flyinsono/lab/mock_data/mock_rpc.dart';

abstract class IURMFunctionManager {
  ///批量分析
  Future<String> batchAnalysis({
    required List<AnalysisItem> analysisList,
    String? businessCode,
  });

  ///取消分析
  Future<bool> cancelAnalysis(String taskCode);

  ImageType getImageType(SampleRemedicalInfoDTO element);

  // 查找是否存在 URM 分析结果的新 VID
  String? findURMResultVid(SampleRemedicalInfoDTO element);

  /// URM 后处理
  Future<URMProcessResult> runPostProcess({required URMProcessRequest request});

  /// URM 视频后处理
  Future<String> runVideoPostProcess({required URMVideoProcessRequest request});

  /// 保存视频
  Future<String> saveAnalysisVideoByTask(SaveAnalysisVideoRequest request);
}
